<#
Este Script aplica la configuracion de seguridad en la politica de grupo local
#>

if ((Get-WmiObject Win32_OperatingSystem).ProductType -eq 2)
{
Write-Host -ForegroundColor "Red" "La ejecucion de este script no esta soportada en controladores de dominio."
return
}

Write-Host -ForegroundColor "white" "Copiando plantilla administrativa..."
Copy-Item -Force C:\Scripts\PolicyDefinitions\*.admx C:\Windows\PolicyDefinitions
Copy-Item -Force C:\Scripts\PolicyDefinitions\es-ES\*.adml C:\Windows\PolicyDefinitions\es-ES

Write-Host -ForegroundColor "white" "Importando GPO local..."
cmd.exe /c C:\Scripts\Scripts_local\Tools\LGPO.exe /g C:\Scripts\GPOs /v > lgpo.out 2> lgpo.err
Write-Host -ForegroundColor "white" "Importada GPO local"
cmd.exe /c gpupdate /force